%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Library for the GNOME Bluetooth Subsystem
Name: 		libbtctl
Version: 	0.11.1
Release: 	1
BuildArch:	i686
License: 	GPL
Group: 		System/Libraries
URL: 		http://usefulinc.com/software/gnome-bluetooth 
Source: 	http://usefulinc.com/software/gnome-bluetooth/releases/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	autoconf bluez-devel glib-devel gtk-doc
BuildRequires: 	openobex-devel python26-pygtk-devel gtk2+-devel
BuildRequires: 	python26 python26-devel gettext automake libtool intltool libusb-devel
#Patch0:		libbtctl-bluez4.patch
#Patch1: 	libbtctl-0.4.1-pydir.patch

%description
Library for the GNOME Bluetooth Subsystem

%package devel
Summary: 	Development files for libbtctl.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	glib-devel

%description devel
This package contains the files needed for developing applications,
which use libbtctl.

#%package mono
#Summary:        mono bindings for libbtctl
#Group:          Development/Libraries
#Requires:       %{name} = %{version}-%{release}

#%description mono
#mono bindings for libbtctl

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch0 -p1 -b .bluez4
#%patch1 -p1 -b .pydir
#autoreconf -fi

%build
%configure PYTHON=/usr/bin/python%{PYVER} 
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/lib*.so.*
%{python_sitelib}

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/libbtctl.pc
%{_includedir}/libbtctl
%{_datadir}/gtk-doc/html/libbtctl
%{_libdir}/*.la

#%files mono
#%{_libdir}/mono/gac/
#%{_libdir}/mono/libbtctl/
#%{_pkgconfig}/libbtctl-sharp.pc
#%{_datadir}/gapi-2.0/

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.11.1-1
- Version update
* Tue Sep 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-1
- Version update
- added mono support
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.9.0-1
- Version update
* Sat Nov 18 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.2-1
- Initial release
